Skip to main content
POST
/
agents
/
{agent_id}
/
versions
/
{version}
/
publish
에이전트 버전 프로덕션 게시
curl --request POST \
  --url https://client-api.tryvox.co/v3/agents/{agent_id}/versions/{version}/publish \
  --header 'Authorization: Bearer <token>'
{
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "production_version": "<string>",
  "previous_production_version": "v1"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryvox.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.

Path Parameters

agent_id
string<uuid>
required

agent_id로 반환되는 에이전트 UUID입니다.

version
string
required

v1 같은 저장된 버전 식별자입니다.

Pattern: ^v[1-9][0-9]*$

Response

성공 응답

publish 결과. previous_production_version은 audit 용.

agent_id
string<uuid>
required

에이전트 UUID입니다.

production_version
string
required

현재 게시된 production 버전입니다. 없으면 null입니다.

Pattern: ^v[1-9][0-9]*$
Example:

"v1"

previous_production_version
string | null

이전에 게시된 production 버전입니다. 없으면 null입니다.

Pattern: ^v[1-9][0-9]*$
Example:

"v1"